﻿using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace WGneu.Models {
    [Table("AT_plz"), PrimaryKey("Plz")]
    public class AT_Plz {
        [Column("plz")]
        public int Plz { get; set; }

        [Column("ort")]
        public string Ort { get; set; }

        [Column("blnr")]
        public int BlNr { get; }

        [Column("type")]
        public string Type { get; }

        [Column("internal")]
        public bool Internal { get; set; }

        [Column("addressable")]
        public bool Addressable { get; set; }

        [Column("po_box")]
        public bool PoBox { get; set; }

        [InverseProperty("AtPlz")]
        public virtual ISet<AT_PlzDest> Orte { get; set; }
    }
}
