﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace WGneu.Models {
    [Table("country"), PrimaryKey("Alpha2")]
    public class Country {
        [Column("alpha2")]
        public string Alpha2 { get; set; }

        [Column("alpha3")]
        public string Alpha3 { get; set; }

        [Column("num")]
        public int Num { get; set; }

        [Column("name")]
        public string Name { get; set; }

        [Column("is_visible")]
        public bool IsVisible { get; set; }
    }
}
