﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace WGneu.Models {
    [Table("postal_dest"), PrimaryKey("CountryCode", "Id")]
    public class PostalDest {
        [Column("country")]
        public string CountryCode { get; set; }

        [Column("id")]
        public string Id { get; set; }

        [ForeignKey("CountryCode")]
        public virtual Country Country { get; set; }

        [ForeignKey("Id")]
        public virtual AT_PlzDest? AtPlz { get; set; }
    }
}
