﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace WGneu.Models {
    [Table("AT_ort"), PrimaryKey("Okz")]
    public class AT_Ort {
        [Column("okz")]
        public int Okz { get; set; }

        [Column("gkz")]
        public int Gkz { get; set; }

        [Column("kgnr")]
        public int? KgNr { get; set; }

        [Column("name")]
        public string Name { get; set; }

        [ForeignKey("Gkz")]
        public virtual AT_Gem Gem { get; set; }

        [ForeignKey("KgNr")]
        public virtual AT_Kg? Kg { get; set; }
    }
}
